Skip to main content
`Ctrl`+`K`

# Analytics

Algorithm to create Analytical features: ds, speed, abs_curv.

tracklib.algo.Analytics.addListToAF(track, af_name, array)

  TODO

tracklib.algo.Analytics.ds(track, i)

  TODO

tracklib.algo.Analytics.heading(track, i)

  Heading is the direction track is pointed in

  ## Parameters

  trackTrack

    trace on which the computation of heading is done.

  iint

    i-th observation

  ## Returns

  float

    heading of the i-th observation of the track.

tracklib.algo.Analytics.speed(track, i)

  Méthode calculant le paramètre ‘speed’ pour chaque point de la trace

tracklib.algo.Analytics.acceleration(track, i)

  Acceleration instantannée de la trace

tracklib.algo.Analytics.slope(track, i)

tracklib.algo.Analytics.anglegeom(track, i)

  Mesure l’angle géométrique (non orienté) intérieur abc. :rtype: `float` :return: Angle abc (degrees)

tracklib.algo.Analytics.calculAngleOriente(track, i)

  Mesure l’angle orienté dans le sens trigonométrique abc.

tracklib.algo.Analytics.orientation(track, i)

  Calcul l’orientation d’un point de la trace

tracklib.algo.Analytics.diffJourAnneeTrace(track, i)

  For divide tracks by year day